WordPress.org

Ready to get started?Download WordPress

Forums

XML Parser error in my RSS-feed? (4 posts)

  1. dekraan
    Member
    Posted 1 year ago #

    Hi there!

    The RSS-feed on our blog is sadly not working! But I can't figure out why not (since I know little about this sort of thing) even though different browsers point out some clues - some in Dutch.

    firefox:
    XML-parsefout: XML- of tekstdeclaratie niet aan begin van entiteit
    Locatie: http://www.....nl/feed/
    Regelnummer 4, kolom 1:<?xml version="1.0" encoding="UTF-8"?>
    ^

    chrome:
    This page contains the following errors:
    error on line 4 at column 6: XML declaration allowed only at the start of the document
    Below is a rendering of the page up to the first error.

    IE:
    Ongeldige XML-declaratie.
    regel: 4 teken: 3
    <?xml version="1.0" encoding="UTF-8"?>

    What does this mean and how can I fix this? The RSS-feed can be found by clicking the icon on the website.

  2. esmi
    Forum Moderator
    Posted 1 year ago #

    Have you tried:

    - deactivating all plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    - switching to the Twenty Eleven theme to rule out any theme-specific problems.

    - resetting the plugins folder by FTP or PhpMyAdmin. Sometimes, an apparently inactive plugin can still cause problems.

  3. dekraan
    Member
    Posted 1 year ago #

    Haven't tried that myself. But I will add it to the list of possible solutions, thanks! :)

    I found online that a blank line in front or at the end of <?php ?> could also be the cause of any problems? What do you think about this one?

  4. esmi
    Forum Moderator
    Posted 1 year ago #

    Sounds like a bad plugin or theme.

Topic Closed

This topic has been closed to new replies.

About this Topic